Post Defects Id Cancel
Authentication
AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token:
-
Request API credentials from HINDSITE support to receive your
client_idandclient_secret -
Make a POST request to obtain an access token:
POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded
grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
- The response will contain your access token:
{
"access_token": "your_access_token_here",
"token_type": "Bearer",
"expires_in": 7200,
"created_at": 1234567890
}
- Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here
Path parameters
id
Request
This endpoint expects an object.
content
Comment content recorded with the transition
attachments
Attachment signed IDs
custom_field_values
Response
The updated defect
id
ULID
display_id
custom_id
status
description
description_html
form_step_id
ULID
form_id
ULID
step_label
requires_resolution_images
rework_count
created_by_user
assignees
reviewers
approvers
observers
available_transitions
can_manage_participants
work_order_task
location
The location of the defect’s work order. Returned by POST /api/v2/my_work/search.
custom_fields
custom_field_definitions
timeline
description_attachments
created_at
Unix timestamp (seconds since epoch)
priority
Allowed values:
tracked_time
Total minutes logged against the defect
updated_at
Unix timestamp (seconds since epoch) when the record was last updated
